﻿using System;
using FreeSql.DataAnnotations;

namespace Pas.ScadaService.Model
{
    public class CustomerBase
    {
        public DateTime CreateTime { get; set; }


        public string TagName { get; set; }

        public string Value { get; set; }

        public string GroupName { get; set; }

        [Column(CanInsert = false,CanUpdate = false)]
        public DateTime? DbDate { get; set; }

        public bool Visible { get; set; } = true;

        public string ProduceBatch { get; set; }

        public CustomerBase()
        {

        }

        public CustomerBase(string tagName, string value, string groupName, string produceBatch, DateTime cDateTime)
        {
            TagName = tagName;
            Value = value;
            GroupName = groupName;
            ProduceBatch = produceBatch;
            CreateTime = cDateTime;
        }
    }
}